gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Misc.Arrow

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods
- Attributes

Description

Displays an arrow

Synopsis

- data Arrow
- class MiscClass o => ArrowClass o
- castToArrow :: GObjectClass obj => obj -> Arrow
- gTypeArrow :: GType
- toArrow :: ArrowClass o => o -> Arrow
- data ArrowType
  - = ArrowUp
  - | ArrowDown
  - | ArrowLeft
  - | ArrowRight
  - | ArrowNone
- data ShadowType
  - = ShadowNone
  - | ShadowIn
  - | ShadowOut
  - | ShadowEtchedIn
  - | ShadowEtchedOut
- arrowNew :: ArrowType -> ShadowType -> IO Arrow
- arrowSet :: ArrowClass self => self -> ArrowType -> ShadowType -> IO ()
- arrowArrowType :: ArrowClass self => Attr self ArrowType
- arrowShadowType :: ArrowClass self => Attr self ShadowType

# Detail

`Arrow` should be used to draw simple arrows that need to point in one of the four cardinal directions (up, down, left, or right). The style of the arrow can be one of shadow in, shadow out, etched in, or etched out. Note that these directions and style types may be amended in versions of Gtk to come.

`Arrow` will fill any space allotted to it, but since it is inherited from `Misc`, it can be padded and/or aligned, to fill exactly the space the programmer desires.

Arrows are created with a call to `arrowNew`. The direction or style of an arrow can be changed after creation by using `arrowSet`.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Misc
    | +----Arrow

# Types

data Arrow Source #

#### Instances

Instances details

Eq Arrow Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: Arrow -> Arrow -> Bool Source # (/=) :: Arrow -> Arrow -> Bool Source #
Ord Arrow Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods compare :: Arrow -> Arrow -> Ordering Source # (<) :: Arrow -> Arrow -> Bool Source # (<=) :: Arrow -> Arrow -> Bool Source # (>) :: Arrow -> Arrow -> Bool Source # (>=) :: Arrow -> Arrow -> Bool Source # max :: Arrow -> Arrow -> Arrow Source # min :: Arrow -> Arrow -> Arrow Source #
GObjectClass Arrow Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: Arrow -> GObject Source # unsafeCastGObject :: GObject -> Arrow Source #
ArrowClass Arrow Source # |
Instance details Defined in Graphics.UI.Gtk.Types
MiscClass Arrow Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass Arrow Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class MiscClass o => ArrowClass o Source #

#### Instances

Instances details

ArrowClass Arrow Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToArrow :: GObjectClass obj => obj -> Arrow Source #

gTypeArrow :: GType Source #

toArrow :: ArrowClass o => o -> Arrow Source #

data ArrowType Source #

Arrow directions for the arrow widget

Constructors

ArrowUp |
ArrowDown |
ArrowLeft |
ArrowRight |
ArrowNone |

#### Instances

Instances details

Enum ArrowType Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: ArrowType -> ArrowType Source #

pred :: ArrowType -> ArrowType Source #

toEnum :: Int -> ArrowType Source #

fromEnum :: ArrowType -> Int Source #

enumFrom :: ArrowType -> [ArrowType] Source #

enumFromThen :: ArrowType -> ArrowType -> [ArrowType] Source #

enumFromTo :: ArrowType -> ArrowType -> [ArrowType] Source #

enumFromThenTo :: ArrowType -> ArrowType -> ArrowType -> [ArrowType] Source #

Show ArrowType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> ArrowType -> ShowS Source # show :: ArrowType -> String Source # showList :: [ArrowType] -> ShowS Source #
Eq ArrowType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: ArrowType -> ArrowType -> Bool Source # (/=) :: ArrowType -> ArrowType -> Bool Source #

data ShadowType Source #

Shadow types

Constructors

ShadowNone |
ShadowIn |
ShadowOut |
ShadowEtchedIn |
ShadowEtchedOut |

#### Instances

Instances details

Enum ShadowType Source # |

Instance details

Defined in Graphics.UI.Gtk.General.Enums

Methods

succ :: ShadowType -> ShadowType Source #

pred :: ShadowType -> ShadowType Source #

toEnum :: Int -> ShadowType Source #

fromEnum :: ShadowType -> Int Source #

enumFrom :: ShadowType -> [ShadowType] Source #

enumFromThen :: ShadowType -> ShadowType -> [ShadowType] Source #

enumFromTo :: ShadowType -> ShadowType -> [ShadowType] Source #

enumFromThenTo :: ShadowType -> ShadowType -> ShadowType -> [ShadowType] Source #

Show ShadowType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods showsPrec :: Int -> ShadowType -> ShowS Source # show :: ShadowType -> String Source # showList :: [ShadowType] -> ShowS Source #
Eq ShadowType Source # |
Instance details Defined in Graphics.UI.Gtk.General.Enums Methods (==) :: ShadowType -> ShadowType -> Bool Source # (/=) :: ShadowType -> ShadowType -> Bool Source #

# Constructors

arrowNew :: ArrowType -> ShadowType -> IO Arrow Source #

Creates a new arrow widget.

# Methods

arrowSet :: ArrowClass self => self -> ArrowType -> ShadowType -> IO () Source #

Sets the direction and style of the `Arrow`.

# Attributes

arrowArrowType :: ArrowClass self => Attr self ArrowType Source #

The direction the arrow should point.

Default value: `ArrowRight`

arrowShadowType :: ArrowClass self => Attr self ShadowType Source #

Appearance of the shadow surrounding the arrow.

Default value: `ShadowOut`